summaryrefslogtreecommitdiff
path: root/commit.d/30bzr-add
diff options
context:
space:
mode:
Diffstat (limited to 'commit.d/30bzr-add')
-rwxr-xr-xcommit.d/30bzr-add8
1 files changed, 8 insertions, 0 deletions
diff --git a/commit.d/30bzr-add b/commit.d/30bzr-add
new file mode 100755
index 0000000..3e7e95d
--- /dev/null
+++ b/commit.d/30bzr-add
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = bzr ] && [ -d .bzr ]; then
+ if ! bzr add -q .; then
+ echo "etckeeper warning: bzr add failed" >&2
+ fi
+fi